// Basic extension of Coord class to 3D
public class Coord3D extends Coord{
  // Fields row and col are inherited
  public final int height;      // need a third field
  // Constructor, 
  public Coord3D(int ir, int ic, int h){
    super(ir,ic);               // Required to init super class
    this.height = h;

  }
  // Override toString() to show all 3 coords
  public String toString(){
    return String.format("(%d,%d,%d)",row,col,height);
  }
  // // Compare to another Coord3D
  // public boolean equals(Coord3D other){
  //   return
  //     this.row == other.row &&
  //     this.col == other.col &&
  //     this.height == other.height;
  // }

  // Allows arbitrary object comparison
  public boolean equals(Object o){
    if(o instanceof Coord3D){
      Coord3D that = (Coord3D) o;
      return
        this.row==that.col &&
        this.col==that.col &&
        this.row==that.height;
    }
    else{ return false; }
  }

}
