import java.io.*;
public class ScreamWriter extends PrintWriter {
  public boolean highVolume = true;
  public void toggleVolume(){
//    if(this.highVolume==true){
//      this.highVolume=false;
//    }
//    else{
//      this.highVolume=true;
//    }
    this.highVolume = !this.highVolume;
  }
  public ScreamWriter(OutputStream o){
    super(o);
  }
  public ScreamWriter(File f) throws Exception{
    super(f);
  }
  public ScreamWriter(String filename) throws Exception{
    super(new File(filename));
  }
  public void println(String s){
    if(this.highVolume == true){
      String output = s.toUpperCase();
      super.println(output);
    }
    else{
      super.println(s);
    }
    this.flush();
  }

  public boolean equals(Object o){
    if(!(o instanceof ScreamWriter)){
      return false;
    }
    ScreamWriter other = (ScreamWriter) o;
    if(other.highVolume != this.highVolume){
      return false;
    }
    return true;
  }
  
  public static void main(String args[]){
    ScreamWriter s = new ScreamWriter(System.out);
    s.println("Hello");
    s.toggleVolume();
    s.println("Great...");
    s.println("Great...");
    s.println("Great...");
    s.toggleVolume();
    s.println("Great...");
    s.println("Great...");
  }
}
