// Example to illustrate the many equals methods that show up
public class CoordCompare{
  public static void main(String args[]){
    Coord   a = new Coord(1,2);
    Coord3D b = new Coord3D(1,2,3);

    Coord   c = new Coord(10,12);
    Coord3D d = new Coord3D(10,12,14);

    System.out.println( a.equals(c) ); // false
    System.out.println( a.equals(b) ); // true
    System.out.println( b.equals(a) ); // false
    System.out.println();

    System.out.println( c.equals(d) ); // true
    System.out.println( d.equals(c) ); // false
    System.out.println();

    String s = "(1,2)";
    System.out.println( s.equals(a) ); // false
    System.out.println( a.equals(s) ); // false
  }
}
