// Print output to the screen if no command line arguments are
// provided If command line argument is provided, treat it as a file
// name and open up the name filed to write output.
//
// SAMPLE RUN
// > javac OptionalOutput.java 
// > java OptionalOutput
// Sweet output
// An int: 1
// A double 2.500000
// A string: Three
// Done with output
// > java OptionalOutput some-file.txt
// Done with output
// # shows contents of file some-file.txt
// > cat some-file.txt   
// Sweet output
// An int: 1
// A double 2.500000
// A string: Three
import java.io.*;
import java.util.Scanner;

public class OptionalOutput {
  public static void main(String args[]) 
    throws FileNotFoundException // WTF?
  {
    PrintWriter pw;
    if(args.length == 0){
      pw = new PrintWriter(System.out); // Print to screen
    }
    else{
      pw = new PrintWriter(args[0]); // Print to a file
    }
    pw.println("Sweet output");
    pw.printf("An int: %d\nA double %f\nA string: %s\n",
              1, 2.5, "Three");
    pw.flush();
    if(args.length > 0){
      pw.close();                           // close file
    }
    System.out.println("Done with output");
  }
}
