// Same as PickyOutput.java but use a PrintStream.  The differences
// between PrintWriter and PrintStream are discussed here
// http://stackoverflow.com/questions/2822005/java-difference-between-printstream-and-printwriter
// We will favor PrintWriter for file output

import java.io.*;
import java.util.Scanner;

public class PickyOutput2 {
  public static void printStuff(PrintStream out){
    out.println("Sweet output");
    out.printf("An int: %d\nA double %f\nA string: %s\n",
	       1, 2.5, "Three");
  }

  public static void main(String args[]) 
    throws FileNotFoundException // WTF?
  {
    Scanner in = new Scanner(System.in);
    System.out.print("Where do you want to print? ");
    String filename = in.next();
    if(filename.equals("stdout")){
      printStuff(System.out);
    }
    else{
      PrintStream out = new PrintStream(filename);
      printStuff(out);
      out.close();
    }
  }
}
